# RubyGuardian v1.3.0 loader
_f = File.join(__dir__, 'fgloader.mswin.x64.so')
require _f
unless defined?(FGLoader)
  if File.exist?(_f)
    raise LoadError, "RubyGuardian加载器初始化失败，请联系开发者反馈。(#{Sketchup.version})"
  else
    raise LoadError, "RubyGuardian加载器未安装或被误杀，请先将加载器放到'#{__dir__}'目录中，以便能够运行受保护的脚本文件。"
  end
end
